const { TextOfValueInOptions } = require("../EnumUtil")

const Options = [
  {value: "@accountingInfoSys", text: "Accounting & Information System"},
  {value: "@actuarialScience", text: "Actuarial Science"},
  {value: "@agronomy", text: "Agronomy"},
  {value: "@anatomy&Physiology", text: "Anatomy & Physiology"},
  {value: "@animalSciences", text: "Animal Sciences"},
  {value: "@astronomy", text: "Astronomy"},
  {value: "@atmospheric&OceanicSciences", text: "Atmospheric & Oceanic Sciences"},
  {value: "@biochemistry", text: "Biochemistry"},
  {value: "@biologicalSystemsEngineering", text: "Biological Systems Engineering"},  
  {value: "@biology", text: "Biology"},
  {value: "@biomedicalEngineering", text: "Biomedical Engineering"},
  {value: "@biostatistics&MedicalInformatics", text: "Biostatistics & Medical Informatics"},
  {value: "@botany", text: "Botany"},  
  {value: "@chemical&BiologicalEngineering", text: "Chemical & Biological Engineering"},
  {value: "@chemistry", text: "Chemistry"},
  {value: "@civil&EnvironmentalEngineering", text: "Civil & Environmental Engineering"},  
  {value: "@computerSciences", text: "Computer Sciences"},
  {value: "@dairyScience", text: "Dairy Science"},
  {value: "@economics", text: "Economics"},
  {value: "@electrical&ComputerEngineering", text: "Electrical & Computer Engineering"},
  {value: "@engineeringMechanics&Astronautics", text: "Engineering Mechanics & Astronautics"},
  {value: "@entomology", text: "Entomology"},
  {value: "@financeInvestment&Banking", text: "Finance Investment & Banking"},
  {value: "@foodScience", text: "Food Science"},
  {value: "@geologicalEngineering", text: "Geological Engineering"},
  {value: "@geoscience", text: "Geoscience"},
  {value: "@historyOfScience", text: "History of Science"},
  {value: "@horticulture", text: "Horticulture"},
  {value: "@industrial&SystemsEngineering", text: "Industrial & Systems Engineering"},
  {value: "@kinesiology", text: "Kinesiology"},
  {value: "@landscapeArchitecture", text: "Landscape Architecture"},
  {value: "@law", text: "Law"},
  {value: "@legalStudies", text: "Legal Studies"},
  {value: "@materialScience&Engineering", text: "Material Science & Engineering"},
  {value: "@mathematics", text: "Mathematics"},
  {value: "@mechanicalEngineering", text: "Mechanical Engineering"},
  {value: "@medicalPhysics", text: "Medical Physics"},
  {value: "@microbiology", text: "Microbiology"},
  {value: "@nuclearEngineering", text: "Nuclear Engineering"},
  {value: "@phamaceuticalSciences", text: "Phamaceutical Sciences"},
  {value: "@philosophy", text: "Philosophy"},
  {value: "@physics", text: "Physics"},
  {value: "@plantPathology", text: "Plant Pathology"},
  {value: "@soilScience", text: "Soil Science"},
  {value: "@statistics", text: "Statistics"},
  {value: "@zoology", text: "Zoology"}
]

const CourseSubject = {
  
  Options: Options,
  Text: Text
}

function Text(value) {
  return TextOfValueInOptions(value, Options)
}

module.exports = {
  CourseSubject
}