function DayName(year, month, date) {
  year = parseInt(year)
  month = parseInt(month)
  date = parseInt(date)
  const DayNames = [ "Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"]
  const d = new Date(year, month-1, date)
  return DayNames[d.getDay()]
}

function MonthSlashDate(month, date) {
  return month+"/"+date
}

function TwelvehourString(hour, minute) {

  hour = parseInt(hour)
  minute = parseInt(minute)

  let amPmStr = "am"
  if(hour>12) {
    hour = hour - 12
    amPmStr = "pm"
  }
  let minuteStr = minute
  if(minute<=9) {
    minuteStr = "0"+minute
  }
  return hour+":"+minuteStr+" "+amPmStr
}

module.exports = {
  DayName,
  MonthSlashDate,
  TwelvehourString
}