const { StringMax } = require("../StringMax")

const MAX = StringMax.UserNameMax

function IsName(value) {
  if(value.length > MAX) return false
  if(value.trim() !== value) return false

  const regex = /^[^<>/;"'~`|(){}^&=\[\]\t\n\\]+$/
  if(!regex.test(value)) return false
  return true
}

module.exports = {
  IsName
}